/* 
 * File:   MLX_read.h
 * Author: a
 *
 * Created on 14. Februar 2018, 10:03
 */
//#define _XTAL_FREQ 20000000

extern bit MLX_Slave_toggel;
extern char I2C_Add;
extern char MLX_Slave;
extern char Register_R[];
extern char Temperatur_LO_rechts;
extern char Temperatur_LO_links;
extern char Temperatur_HI_rechts;
extern char Temperatur_HI_links;
extern char Datum_S[8];


void warten_auf_SSP_flag (void){
    while(!SSPIF);
    SSPIF = 0;
}


#ifndef MLX_READ_H
#define	MLX_READ_H
void MLX_read (void) {
    SSPADD = 49; //MLX_Zeit: 100kHz IC-Frequenz,20MHz/(4*(49+1))=100kHz (MLX Time)
    MLX_Slave_toggel = !MLX_Slave_toggel; //rechter, linker Sensor           
    I2C_Add = MLX_Slave + MLX_Slave_toggel; //I2C-Adresse vom Temp.Sensor
    SSPIF = 0; //SSP InteruptFlag lschen
    SEN = 1; //Master bernimmt Bus, wird vom Chip gelscht
        warten_auf_SSP_flag ();
    SSPBUF = (I2C_Add<<1) & 0b11111110; //Slaveadresse = 20[0010100X],
                                    //LSB=0-> Master schreibt
        warten_auf_SSP_flag ();
    SSPBUF = Register_R[0]; //Zu beschreibendes Registeradresse bertragen
        warten_auf_SSP_flag ();
    RSEN =1;//Repeat start
        warten_auf_SSP_flag ();
    SSPBUF = (I2C_Add << 1) | 0b00000001;
        warten_auf_SSP_flag ();
    RCEN = 1; //Receive enable
        warten_auf_SSP_flag ();
    if (!MLX_Slave_toggel) {
        Temperatur_LO_rechts = SSPBUF; //Datum lesen
    } else {
        Temperatur_LO_links = SSPBUF; //Datum lesen
    }
    ACKEN = 1;
        warten_auf_SSP_flag ();
    RCEN = 1; //Receive enable
        warten_auf_SSP_flag ();
    if (!MLX_Slave_toggel) {
        Temperatur_HI_rechts = SSPBUF; //Datum_S[6];
        Datum_S[6] = Temperatur_HI_rechts;
            //Fr die Auswertung
    } else {
        Temperatur_HI_links = SSPBUF; //Datum_S[7];
        Datum_S[7] = Temperatur_HI_links;
        //Fr die Auswertung
    }
    PEN = 1;
        warten_auf_SSP_flag ();
}

#endif	/* MLX_READ_H */

